DirectoryIterator::valid
EmptyIterator::current
Iterators
PHP Manual

# The EmptyIterator class

## Introduction

The EmptyIterator class for an empty iterator.

## Class synopsis

EmptyIterator
EmptyIterator implements Iterator , Traversable {
/* Methods */
public void current ( void )
public void key ( void )
public void next ( void )
public void rewind ( void )
public void valid ( void )
}

## Table of Contents

- EmptyIterator::current — The current() method
- EmptyIterator::key — The key() method
- EmptyIterator::next — The next() method
- EmptyIterator::rewind — The rewind() method
- EmptyIterator::valid — The valid() method

DirectoryIterator::valid
EmptyIterator::current
Iterators
PHP Manual